/*
 *
 * This file is part of lcrash, an analysis tool for Linux memory dumps.
 *
 * Created by Silicon Graphics, Inc.
 * Contributions by IBM, and others
 *
 * Copyright (C) 1999 - 2002 Silicon Graphics, Inc. All rights reserved.
 * Copyright (C) 2001, 2002 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 *
 * Added support for X86_64 architecture Mar 2004
 *      Prashanth Tamraparni (prasht@in.ibm.com)
 *      Sachin Sant (sachinp@in.ibm.com)
 */

#include <lcrash.h>

extern int defcpu_x86_64_cmd(command_t *), defcpu_x86_64_parse(command_t *);
extern void defcpu_x86_64_help(command_t *), defcpu_x86_64_usage(command_t *);

extern int rd_x86_64_cmd(command_t *), rd_x86_64_parse(command_t *);
extern void rd_x86_64_help(command_t *), rd_x86_64_usage(command_t *);

_command_t cmdset_x86_64[] = {
	{"rd", 0, rd_x86_64_cmd, rd_x86_64_parse, rd_x86_64_help, 
	 rd_x86_64_usage, NULL},
	{"defcpu", 0, defcpu_x86_64_cmd, defcpu_x86_64_parse, 
	 defcpu_x86_64_help, defcpu_x86_64_usage, NULL},
	{(char *)0 }
};
