/*-*-c++-*-
 * cedgeset.cpp
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#include "cedgeset.h"

#include "cnode.h"
#include "cedge.h"

CEdgeSet::CEdgeSet()
{
}

CEdgeSet::CEdgeSet(const CEdgeSet& es)
{
	setEdges(es);
}

CEdgeSet::~CEdgeSet()
{
}

CEdgeSet&
CEdgeSet::operator=(const CEdgeSet& es)
{
	setEdges(es);
	
	return *this;
}

void
CEdgeSet::setEdges(const CEdgeSet& es)
{
}

std::list<Edge>::iterator
CEdgeSet::begin()
{
	return oEdgeSet.edges.begin();
}

std::list<Edge>::iterator
CEdgeSet::end()
{
	return oEdgeSet.edges.end();
}

void
CEdgeSet::add(Edge e)
{
	oEdgeSet.edges.push_back(e);
}

void
CEdgeSet::add(EdgeSet es)
{
	Edge e;
	forall_edges(e, es) {
		oEdgeSet.edges.push_back(e);
	}
}

void
CEdgeSet::remove(Edge e)
{
	Iterator it = oEdgeSet.edges.begin();
	while (it != oEdgeSet.edges.end()) {
		if (*it == e) {
			oEdgeSet.edges.erase(it);
			break;
		}
		++it;
	}
}

void
CEdgeSet::clear()
{
	oEdgeSet.edges.clear();
}

int
CEdgeSet::count() const
{
	return oEdgeSet.edges.size();
}

bool
CEdgeSet::empty() const
{
	return count() == 0;
}
