/***************************************************************************
                               cgraphheader.h
                             -------------------
    begin                : Sun Nov 11 2001
    copyright            : (C) 2001 by Michael Geselbracht
    email                : let@uni.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CGRAPHHEADER_H
#define CGRAPHHEADER_H

#include <qframe.h>

class QLabel;
class QPixmap;
class QPushButton;

/**
  *@author Michael Geselbracht
  */

class CGraphHeader : public QFrame {
   Q_OBJECT

public:
	CGraphHeader(QWidget* parent, const char* name=0);
	CGraphHeader(const QString& label, QWidget* parent, const char* name=0);
	~CGraphHeader();
	
	void setLabel(const QString& label);
	void setPixmap(const QPixmap& pm);
	virtual void setBackgroundColor(const QColor&);
	virtual bool eventFilter(QObject* obj, QEvent* event);
	bool marked() const;
	void setMarked(bool w);
	bool isViewMany() const;
    void setMouseTracking(bool);
	
signals:
	void sigMinimize();
	void sigClose();
	
protected:
	virtual void resizeEvent(QResizeEvent*);
	void initAttributes();
	
protected slots:
	void slotOneMany(bool);
	
private:
	QLabel* oLabel;
	QLabel* oPixmap;
	QPushButton* oOneMany;
	QPushButton* oMinimize;
	QPushButton* oClose;
};

#endif
