/*-*-c++-*-
 * clinegroup.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CLINEGROUP_H
#define CLINEGROUP_H

#include <vector>
#include <set>
#include "cline.h"

class CNode;
typedef CNode* Node;

/**
  *@author Michael Geselbracht
  */

class CLineGroup : public std::vector<CLine> {
public: 
	CLineGroup();
	~CLineGroup();
	
	CLine& insert(const CLine&);
	void sort();
	
	bool marked() const;
	void setMarked(bool w);
	
	int y() const;
	int x() const;
	int height() const;
	int width() const;
	
	Node from() const;
	Node to() const;
	
private:
	bool oMarked;
};

typedef std::multiset<CLineGroup> CLineSet;
typedef CLineSet* LineSet;

bool operator<(const CLineGroup& x, const CLineGroup& y);
bool operator<=(const CLineGroup& x, const CLineGroup& y);
bool operator==(const CLineGroup& x, const CLineGroup& y);

#endif
