/*-*-c++-*-
 * cnodeset.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CNODESET_H
#define CNODESET_H

#include <list>

#include "cnode.h"

class QWidget;

class CGraph;
class CNodeSet;

typedef CNodeSet* NodeSet;

/**
  *@author Michael Geselbracht
  */

class CNodeSet {
public:
	typedef std::list<Node>::iterator Iterator;
	
	CNodeSet();
	CNodeSet(const CNodeSet&);
	~CNodeSet();
	
	void setNodes(const CNodeSet&);
	
	CNodeSet& operator=(const CNodeSet&);
	
	std::list<Node>::iterator begin();
	std::list<Node>::iterator end();
	
	void add(Node v);
	void add(NodeSet s);
	void remove(Node v);
	void clear();
	int count() const;
	bool empty() const;
	
private:
	void destroy();

private: // attributes
	struct NodeSet_t {
		std::list<Node> nodes;
		int count;
	} *oNodeSet;
};

#endif
