/*-*-c++-*-
 * $Id: cparseview.h 1079 2004-10-22 19:59:34Z troyhebe $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CPARSEVIEW_H
#define CPARSEVIEW_H

#include <qdialog.h>

class CParser;
class QPushButton;
class QLabel;
class QListView;
class QListViewItem;

/**Display debug messages from the parser.
  *@author Michael Geselbracht
  */

class CParseView : public QDialog {
    Q_OBJECT

public: 
    CParseView(CParser* parser, QWidget* parent);
    ~CParseView();

protected:
    void resizeEvent(QResizeEvent*);

protected slots:
    void slotShowDetails();
    void slotClose();

private:
    CParser* oParser;
    QPushButton* oClose;
    QPushButton* oShowDetails;
    QListView* oDebugList;
    QLabel* oMessage;
};

#endif
