/*-*-c++-*-
 * cpolylinelayout.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CPOLYLINELAYOUT_H
#define CPOLYLINELAYOUT_H

#include "clayeredlayout.h"

/**
  *@author Michael Geselbracht
  */

class CPolylineLayout : public CLayeredLayout {
public: 
	CPolylineLayout();
	CPolylineLayout(Graph G);
	~CPolylineLayout();
	
	virtual void layout();
	virtual void layoutObject(Node v);
	virtual void geometricLayout(Node v);
	
protected:
	void setYCoordinates();
//	void setEdgeCoordinates();
	CLine calculateLine(Node u, Node v) const;
	
	/* Used for debug mode.
	*/
	void simpleLayout();
	
private:
	int force(Node);
	int findRegion(int n, const NodeVector& col, NodeVector& Q);
	int moveRegion(int n, const NodeVector& col, NodeVector& Q);
	int findQuadrant(int x1, int y1, int x2, int y2) const;
	double tanAlpha(int x1, int y1, int x2, int y2) const;
};

#endif
