/*-*-c++-*-
 * cpreferences.cpp
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
*/

#include "qlcrash.h"
#include "cpreferences.h"
#include "qlcrashdoc.h"
#include "cpreferenceslcrashimpl.h"
#include "cpreferencesfontimpl.h"
#include "cpreferencesmiscimpl.h"
#include "cpreferenceslayoutimpl.h"

CPreferences::CPreferences(QLcrashDoc* doc, QWidget *parent, const char *name ) : QTabDialog(parent, name, true)
{
    oDoc = doc;

    init();
}

CPreferences::~CPreferences()
{
}

void
CPreferences::saveConfig()
{
    oLcrash->saveConfig();
    oFont->saveConfig();
    oLayout->saveConfig();
    oMisc->saveConfig();
}

void
CPreferences::init()
{
    setOkButton();
    setCancelButton();
    setApplyButton();

    setCaption(tr("Options") + "...");

    oLcrash = new CPreferencesLcrashImpl(oDoc, this);
    addTab(oLcrash, tr("Lcrash"));

    oFont = new CPreferencesFontImpl(oDoc, this);
    addTab(oFont, tr("Fonts"));

    oLayout = new CPreferencesLayoutImpl(oDoc, this);
    addTab(oLayout, tr("Layout"));

    oMisc = new CPreferencesMiscImpl(oDoc, this);
    addTab(oMisc, tr("Misc"));

    connect(this, SIGNAL(applyButtonPressed()), SLOT(slotApply()));
}

void
CPreferences::slotApply()
{
    saveConfig();
    gQLcrash->fontChanged();
}

