/*-*-c++-*-
 * cpreferences.h
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#ifndef CPREFERENCES_H
#define CPREFERENCES_H

#include <qtabdialog.h>

class QLcrashDoc;
class CPreferencesLcrashImpl;
class CPreferencesLayoutImpl;
class CPreferencesFontImpl;
class CPreferencesMiscImpl;

/**
  *@author Michael Geselbracht
  */

class CPreferences : public QTabDialog {
   Q_OBJECT

public: 
    CPreferences(QLcrashDoc* doc, QWidget *parent, const char *name=0);
    ~CPreferences();

    void saveConfig();

protected slots:
    void slotApply();

private:
    void init();

private:
    QLcrashDoc* oDoc;
    CPreferencesLcrashImpl* oLcrash;
    CPreferencesFontImpl* oFont;
    CPreferencesLayoutImpl* oLayout;
    CPreferencesMiscImpl* oMisc;
};

#endif
