/*-*-c++-*-
 * cpreferenceslayoutimpl.cpp
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#include "cpreferenceslayoutimpl.h"
#include "qlcrashdoc.h"
#include "cconfigmanager.h"

#include <qspinbox.h>
#include <qcheckbox.h>

CPreferencesLayoutImpl::CPreferencesLayoutImpl(QLcrashDoc* doc, QWidget* parent) : CPreferencesLayout(parent)
{
    oDoc = doc;

    init();
}

CPreferencesLayoutImpl::~CPreferencesLayoutImpl()
{
}

void
CPreferencesLayoutImpl::init()
{
    CConfigManager* cm = oDoc->configManager();

    oAliasDetection->setChecked(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_ALIAS, (int) true));
    oGridX->setValue(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_GRIDX, DEF_LAYOUT_GRIDX));
    oGridY->setValue(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_GRIDY, DEF_LAYOUT_GRIDY));
    oSize->setValue(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_SIZE, DEF_LAYOUT_SIZE));
    oLayoutEdge->setChecked(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOEDGE, (int) false));
    oLayoutInsert->setChecked(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOINSERT, (int) false));
    oLayoutRemove->setChecked(cm->item(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOREMOVE, (int) false));
}

void
CPreferencesLayoutImpl::saveConfig()
{
    int grid;
    grid = oGridX->value();
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_GRIDX, grid);
    grid = oGridY->value();
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_GRIDY, grid);
    grid = oSize->value();
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_SIZE, grid);

    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOINSERT, (int) oLayoutInsert->isOn());
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOREMOVE, (int) oLayoutRemove->isOn());
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_AUTOEDGE, (int) oLayoutEdge->isOn());
    oDoc->configManager()->setItem(CFG_GRP_LAYOUT, CFG_ATT_LAYOUT_ALIAS, (int) oAliasDetection->isOn());
}
