/*-*-c++-*-
 * cpreferenceslcrashimpl.cpp
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */

#include "cpreferenceslcrashimpl.h"
#include "qlcrashdoc.h"
#include "cconfigmanager.h"

#include <qlabel.h>
#include <qlineedit.h>
#include <qfiledialog.h>

CPreferencesLcrashImpl::CPreferencesLcrashImpl(QLcrashDoc* doc, QWidget* parent) : CPreferencesLcrash(parent)
{
    oDoc = doc;
    init();
}

CPreferencesLcrashImpl::~CPreferencesLcrashImpl()
{
}

void
CPreferencesLcrashImpl::init()
{
    QString str;
    CConfigManager* cm = oDoc->configManager();

    str = cm->item(CFG_GRP_FILES, CFG_ATT_FILES_PLUGIN, DEF_FILES_PLUGIN);
    oPluginDisplay->setText(str);
}

void
CPreferencesLcrashImpl::saveConfig()
{
    QString str;
    CConfigManager* cm = oDoc->configManager();

    str = oPluginDisplay->text();
    cm->setItem(CFG_GRP_FILES, CFG_ATT_FILES_PLUGIN, str);
}

void
CPreferencesLcrashImpl::slotSelectPlugin()
{
    CConfigManager* cm = oDoc->configManager();
    oDoc->slotSetup();
    oPluginDisplay->setText(cm->item(CFG_GRP_FILES, CFG_ATT_FILES_PLUGIN, DEF_FILES_PLUGIN));
}
