/*-*-c++-*-
 * cpreferencesmiscimpl.cpp
 * Copyright (c) 2002 Michael Geselbracht <let@user.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */


#include "cpreferencesmiscimpl.h"
#include "qlcrashdoc.h"
#include "cconfigmanager.h"

#include <qcombobox.h>
#include <qcheckbox.h>
#include <qspinbox.h>

CPreferencesMiscImpl::CPreferencesMiscImpl(QLcrashDoc* doc, QWidget* parent) : CPreferencesMisc(parent)
{
    oDoc = doc;
    init();
}

CPreferencesMiscImpl::~CPreferencesMiscImpl()
{
}

void
CPreferencesMiscImpl::init()
{
    bool w;
    int cardinal;
    CConfigManager* cm = oDoc->configManager();

    w = cm->item(CFG_GRP_TOOLBAR, CFG_ATT_DUMP_TBDOCKMAIN, DEF_DUMP_TBDOCKMAIN);
    oDockDumpToolbar->setChecked(w);

    cardinal = cm->item(CFG_GRP_GRAPH, CFG_ATT_GRAPH_ACCELERATION, DEF_GRAPH_ACCELERATION);
    oAcceleration->setValue(cardinal);

    w = cm->item(CFG_GRP_APP, CFG_ATT_APP_SAVEWINDOWSIZE, DEF_APP_SAVEWINDOWSIZE);
    oSaveWindowSize->setChecked(w);

    w = cm->item(CFG_GRP_APP, CFG_ATT_APP_HIGHLIGHTTASKS, DEF_APP_HIGHLIGHTTASKS);
    oHighlightTasks->setChecked(w);

    cardinal = cm->item(CFG_GRP_GRAPH, CFG_ATT_GRAPH_PRINTFORMAT, DEF_GRAPH_PRINTFORMAT);
    oPrintFormat->setCurrentItem(cardinal);

    cardinal = cm->item(CFG_GRP_APP, CFG_ATT_APP_WIDGETSTYLE, DEF_APP_WIDGETSTYLE);
    oWidgetStyle->setCurrentItem(cardinal);

    w = cm->item(CFG_GRP_APP, CFG_ATT_APP_CONFIRMEXIT, DEF_APP_CONFIRMEXIT);
    oConfirmExit->setChecked(w);
}

void
CPreferencesMiscImpl::saveConfig()
{
    bool w;
    int cardinal;
    CConfigManager* cm = oDoc->configManager();

    w = oDockDumpToolbar->isChecked();
    cm->setItem(CFG_GRP_TOOLBAR, CFG_ATT_DUMP_TBDOCKMAIN, (int)w);

    cardinal = oAcceleration->value();
    cm->setItem(CFG_GRP_GRAPH, CFG_ATT_GRAPH_ACCELERATION, cardinal);

    w = oSaveWindowSize->isChecked();
    cm->setItem(CFG_GRP_APP, CFG_ATT_APP_SAVEWINDOWSIZE, (int)w);

    w = oHighlightTasks->isChecked();
    cm->setItem(CFG_GRP_APP, CFG_ATT_APP_HIGHLIGHTTASKS, (int)w);

    w = oConfirmExit->isChecked();
    cm->setItem(CFG_GRP_APP, CFG_ATT_APP_CONFIRMEXIT, (int)w);

    cardinal = oPrintFormat->currentItem();
    cm->setItem(CFG_GRP_GRAPH, CFG_ATT_GRAPH_PRINTFORMAT, cardinal);

    cardinal = oWidgetStyle->currentItem();
    cm->setItem(CFG_GRP_APP, CFG_ATT_APP_WIDGETSTYLE, cardinal);
}

