/*-*-c++-*-
 * $Id: main.cpp 1079 2004-10-22 19:59:34Z troyhebe $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */
#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "qlcrash.h"
#include "qlcrashdoc.h"
#include "cmainwin.h"
#include "csplash.h"
#include "cconfigmanager.h"
#include "resourceadapter.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);

  QTranslator tor( 0 );
  tor.load( QString("qlcrash_") + Resource::currentLocale(), Resource::getMessageDir());
  a.installTranslator( &tor );
  CSplash* sp = new CSplash();
#ifndef _DEBUG
  sp->show();
#endif

  CConfigManager* cm = new CConfigManager(&a);
  cm->setFile(QString(DATADIR) + "/qlcrash.conf");
  cm->setFile(cm->homeDir() + "/.qlcrash");

  gQLcrash = new QLcrashApp(cm, argc, argv);
  a.setMainWidget(gQLcrash);
  if (gQLcrash->document()->configManager()->item(CFG_GRP_APP, CFG_ATT_APP_WINDOWMAXIMIZED, 0))
	  gQLcrash->showMaximized();
  else
	gQLcrash->resize(
		gQLcrash->document()->configManager()->item(CFG_GRP_APP, CFG_ATT_APP_WINDOWWIDTH, 800),
		gQLcrash->document()->configManager()->item(CFG_GRP_APP, CFG_ATT_APP_WINDOWHEIGHT, 600)
	);

  int ret = a.exec();
  delete gQLcrash;

  return ret;
}
