;
; $Id: qlcrash.iss 1079 2004-10-22 19:59:34Z troyhebe $
;
; For compiling this script, you need the extended Inno Setup compiler
; (Version >= 3.0.2), available at http://www.wintax.nl/isx/

[Setup]
AppName=QLcrash
AppVerName=QLcrash 1.1
AppVersion=1.1
AppPublisher=IBM Labs Bblingen
AppPublisherURL=http://lkcd.sf.net
AppSupportURL=http://lkcd.sf.net
AppUpdatesURL=http://lkcd.sf.net/download/latest
DefaultDirName={pf}\QLcrash
DefaultGroupName=QLcrash
DisableStartupPrompt=yes
OutputBaseFilename=QLcrash-1.1-Setup
OutputDir=.
LicenseFile=lgpl.rtf
UninstallDisplayIcon="{app}\qlcrash.exe"
WizardImageFile=ibmwiz.bmp
Compression=bzip/9
AdminPrivilegesRequired=yes
; MessagesFile=compiler:German.isl

[Messages]
BeveledLabel=QLcrash Setup

;
; Note:
; With the current ISX version, the sequence of the types
; determines the default install type. The first declared type
; is always the default. Without declaring types, the default is 'full'.
;
[Types]
;Name: compact; Description: "Kompakte Installation"; Flags: iscustom
;Name: full; Description: "Vollstndige Installation"
;Name: custom; Description: "Angepasste Installation"; Flags: iscustom
Name: compact; Description: "Compact installation"
Name: full; Description: "Full installation"
Name: custom; Description: "Custom installation"; Flags: iscustom

[Components]
;Name: main; Description: "QLcrash und Dokumentation"; Types: full compact custom; Flags: fixed
;Name: src; Description: "QLcrash Quelltexte"; Types: full
Name: main; Description: "QLcrash executable and documentation"; Types: full compact custom; Flags: fixed
Name: src; Description: "QLcrash source"; Types: full

[Tasks]
;Name: "desktopicon"; Description: "Erzeuge Verknpfung auf dem &Desktop"; GroupDescription: "Additional icons:"; MinVersion: 4,4
;Name: "quicklaunchicon"; Description: "Erzeuge Verknpfung in der Schnellstart-Leiste"; GroupDescription: "Additional icons:"; MinVersion: 4,4; Flags: unchecked
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4,4
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; MinVersion: 4,4; Flags: unchecked

[Files]
Source: "..\Release\qlcrash.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "..\..\qlcrash\*.qm"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "qt-mt230nc.dll"; DestDir: "{sys}"; CopyMode: alwaysskipifsameorolder; Flags: restartreplace sharedfile; Components: main
Source: "msvcrt.dll"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "..\Release\*.dll"; DestDir: "{app}\Plugins"; CopyMode: alwaysoverwrite; Components: main
Source: "..\..\Doc\Manual\*.html"; DestDir: "{app}\Manual"; CopyMode: alwaysoverwrite; Components: main
Source: "..\..\Doc\Manual\*.css"; DestDir: "{app}\Manual"; CopyMode: alwaysoverwrite; Components: main
Source: "..\..\Doc\Manual\pics\*.png"; DestDir: "{app}\Manual\pics"; CopyMode: alwaysoverwrite; Components: main
Source: "Source\*"; DestDir: "{app}\Source"; Components: src; CopyMode: alwaysoverwrite; Flags: recursesubdirs

[Icons]
Name: "{group}\QLcrash"; Filename: "{app}\qlcrash.exe"; WorkingDir: "{app}"; Components: main
Name: "{group}\Uninstall QLcrash"; Filename: "{uninstallexe}"; Components: main
Name: "{group}\QLcrash Visual Studio Workspace"; Filename: "{app}\Source\win32\qlcrash.dsw"; Components: src
Name: "{commondesktop}\QLcrash"; Filename: "{app}\qlcrash.exe";  WorkingDir: "{app}"; MinVersion: 4,4; Tasks: desktopicon; Components: main
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\QLcrash"; Filename: "{app}\qlcrash.exe";  WorkingDir: "{app}"; Tasks: quicklaunchicon; Components: main

[Registry]
Root: HKCU; SubKey: "Software\GNU\QLcrash"; Flags: uninsdeletekey dontcreatekey

[Run]
Filename: "{app}\qlcrash.exe"; Description: "Launch QLcrash"; Flags: nowait postinstall skipifsilent

