%define name lkcdutils
%define version 4.2
%define release pre4

Name: %{name}
Summary: Linux Kernel Crash Dump (LKCD) Utilities
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Utilities/System
Source: %{name}-%{version}-%{release}.tar.gz
URL: http://oss.sgi.com/projects/lkcd/
Packager: Matt Robinson <yakker@alacritech.com>

Buildrequires: byacc
Buildroot: /var/tmp/%{name}-root

%description
This software package contains system crash dump analyzer tools.
It includes Linux Crash (lcrash) and all appropriate user level
scripts required for saving and configuring system crash dumps.
This package should be installed after the lkcd kernel patches are
installed on the system.

%package source
Summary: The source code for %{name}-%{version}.
Group: Utilities/System

%package devel
Summary: Header files and libraries of the lkcd project
Group: Development/System

%description source
This software package includes all source code for any programs
and scripts required to support system crash dumps on a Linux
machine.

%description devel
Useful libraries to write kernel analyzing tools like 'lcrash'.

%prep
%setup -q -n %{name}-%{version}
/bin/rm -r -f ${RPM_BUILD_ROOT}

%build
./configure --prefix=${RPM_BUILD_ROOT}
make
cd netdump
make DESTDIR=${RPM_BUILD_ROOT}
cd ..

%install
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
%makeinstall
%ifnarch s390 s390x
cd netdump
make DESTDIR=${RPM_BUILD_ROOT} install
%endif

%ifarch s390 s390x
# We do not need these files for s390 and s390x
rm -f	${RPM_BUILD_ROOT}/etc/sysconfig/dump \
	${RPM_BUILD_ROOT}/sbin/lkcd \
	${RPM_BUILD_ROOT}/sbin/lkcd_config \
	${RPM_BUILD_ROOT}/usr/man/man1/lkcd_config.1* 
%endif

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files
/sbin/lcrash
/usr/man/man1/lcrash.1*
/usr/share/sial/lcrash/ps.sial
%ifnarch s390 s390x
/sbin/lkcd
/sbin/lkcd_config
/usr/man/man1/lkcd_config.1*
/etc/sysconfig/dump
/usr/sbin/netdump-server
/etc/rc.d/init.d/netdump
/etc/rc.d/init.d/netdump-server
/usr/man/man8/netdump-server.8*
/usr/man/man8/netdump.8*
/var/crash/scripts
%endif

%files devel
/usr/lib/lkcd/libklib.a
/usr/lib/lkcd/liblkcd_rl.a
/usr/lib/lkcd/liblkcd_util.a
/usr/lib/lkcd/liblkcd_alloc.a
/usr/include/lkcd
/usr/lib/libsial.a
/usr/include/sial_api.h
/usr/include/sial.h
